
Redmine - Feature #11469

JSONP support

2012-07-20 17:27 - Markus M

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version: 2.1.0   

Resolution: Fixed   

Description

Please enable JSONP

This is necessary when a JS-Client wants to call the Redmine API of another Subdomain, Server, Protocol, Port... (Same Orign

Policy)

It's not that hard to accomplish. You just need to set a request filter that wrappes the response in a given JS function. See #10761 for

an example of the expected output.

Related issues:

Related to Redmine - Defect #10761: Rest API JSON response can not be parsed ... Closed

Related to Redmine - Feature #13718: Accept dots in JSONP callback Closed

Related to Redmine - Feature #12992: Make JSONP support optional and disabled... Closed

Associated revisions

Revision 10088 - 2012-07-27 21:56 - Jean-Philippe Lang

Adds JSONP support to the API (#11469).

History

#1 - 2012-07-21 18:09 - Etienne Massip

- Category set to REST API

#2 - 2012-07-22 22:53 - Jean-Philippe Lang

- Assignee set to Jean-Philippe Lang

- Target version set to 2.1.0

#3 - 2012-07-27 21:58 - Jean-Philippe Lang

- Subject changed from Enable JSONP to JSONP support

- Status changed from New to Closed

- Resolution set to Fixed

Support for JSONP added in r10088. You can use the callback or jsonp parameter to specify the JSONP callback.

Exemple:

GET /issues.json?callback=foo

=> foo({"issues":...})

#4 - 2014-12-12 14:09 - Hai-Nam Nguyen

If you come into this page by searching, since #12992 JSONP support is disabled by default.

#5 - 2015-01-10 18:18 - Toshi MARUYAMA

- Related to Feature #12992: Make JSONP support optional and disabled by default added
